--- java_libs/Makefile
+++ java_libs/Makefile
@@ -11,15 +11,9 @@
 java_libs_root= $(CURDIR)
 
 # append gcj flags
-export GCJFLAGS+= --encoding=UTF-8 --classpath="$(java_libs_root)"
+export GCJFLAGS+= --encoding=UTF-8 --classpath="/usr/share/java/libgcj-4.3.jar:$(java_libs_root)"
 
-all : libgcj_local itext
-
-libgcj_local :
-	$(MAKE) -C "$(java_libs_root)/gnu_local/java/security";
-	$(MAKE) -C "$(java_libs_root)/gnu_local/java/security/provider";
-	$(MAKE) -C "$(java_libs_root)/gnu/gcj/convert";
-	$(MAKE) -C "$(java_libs_root)/java_local/security";
+all : itext
 
 itext :
 	$(MAKE) -C "$(java_libs_root)/com/lowagie/text";
@@ -35,13 +29,7 @@
 	$(MAKE) -C "$(java_libs_root)/com/lowagie/bc/asn1";
 #	$(MAKE) -C "$(java_libs_root)/com/lowagie/text/pdf/codec/postscript";
 
-clean : libgcj_local_clean itext_clean
-
-libgcj_local_clean :
-	$(MAKE) -iC "$(java_libs_root)/gnu_local/java/security" clean;
-	$(MAKE) -iC "$(java_libs_root)/gnu_local/java/security/provider" clean;
-	$(MAKE) -iC "$(java_libs_root)/gnu/gcj/convert" clean;
-	$(MAKE) -iC "$(java_libs_root)/java_local/security" clean;
+clean : itext_clean
 
 itext_clean :
 	$(MAKE) -iC "$(java_libs_root)/com/lowagie/text" clean;
--- java_libs/com/lowagie/bc/asn1/Makefile
+++ java_libs/com/lowagie/bc/asn1/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- java_libs/com/lowagie/text/Makefile
+++ java_libs/com/lowagie/text/Makefile
@@ -25,14 +25,15 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
 
 all : $(library) $(headers)
 
+$(classes): $(sources)
+
 $(library) : $(objects)
 	$(AR) $(ARFLAGS) $(library) $(objects);
 
--- java_libs/com/lowagie/text/markup/Makefile
+++ java_libs/com/lowagie/text/markup/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- java_libs/com/lowagie/text/pdf/Makefile
+++ java_libs/com/lowagie/text/pdf/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
@@ -37,4 +36,4 @@
 	$(AR) $(ARFLAGS) $(library) $(objects);
 
 clean :
-	$(RM) $(RMFLAGS) *.o *.h *.class *.a
+	$(RM) $(RMFLAGS) *.o *.h *.class *.a hyphenation/*.class
--- java_libs/com/lowagie/text/pdf/PdfEncryption.java
+++ java_libs/com/lowagie/text/pdf/PdfEncryption.java
@@ -50,7 +50,7 @@
 
 package com.lowagie.text.pdf;
 
-import java_local.security.MessageDigest; // ssteward
+import java.security.MessageDigest; // ssteward
 import com.lowagie.text.ExceptionConverter;
 
 /**
--- java_libs/com/lowagie/text/pdf/codec/Makefile
+++ java_libs/com/lowagie/text/pdf/codec/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- java_libs/com/lowagie/text/pdf/codec/wmf/Makefile
+++ java_libs/com/lowagie/text/pdf/codec/wmf/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- java_libs/com/lowagie/text/pdf/fonts/Makefile
+++ java_libs/com/lowagie/text/pdf/fonts/Makefile
@@ -34,8 +34,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- java_libs/com/lowagie/text/xml/xmp/Makefile
+++ java_libs/com/lowagie/text/xml/xmp/Makefile
@@ -25,8 +25,7 @@
 # the "$*" automatic variable, here
 #
 %.h : %.class
-	$(GCJH) --classpath="." $*;
-	$(RM) $<
+	$(GCJH) --classpath="/usr/share/java/libgcj-4.3.jar:$(PWD):." $*;
 
 ##
 # targets
--- pdftk/Makefile.Base
+++ pdftk/Makefile.Base
@@ -32,18 +32,6 @@
 afms= $(wildcard $(java_libs_root)/com/lowagie/text/pdf/fonts/*.afm)
 afm_objects= $(patsubst %.afm, %.o, $(afms))
 
-# older versions of libgcj might not have the MD5 algorithm,
-# so I added it here; these *_local java files were grabbed from
-# libgcj CVS on March 7, 2004; diffed September 5, 2006 w/ gcc 4.1.1
-#
-# gnu/gcj/convert/Input_UnicodeBig.java was grabbed March 26, 2004; diffed September 5, 2006 w/ gcc 4.1.1
-#
-libgcj_local_libs = \
-$(java_libs_root)/java_local/security/security.a \
-$(java_libs_root)/gnu_local/java/security/provider/provider.a \
-$(java_libs_root)/gnu_local/java/security/security.a \
-$(java_libs_root)/gnu/gcj/convert/convert.a
-
 # this must already be set according to your platform Makefile;
 # we're just appending to it, here
 #
